Loading...
Searching...
No Matches
gtsam::ISAM2JunctionTree Class Reference
Inheritance diagram for gtsam::ISAM2JunctionTree:

## Public Member Functions

| ISAM2JunctionTree (const GaussianEliminationTree &eliminationTree)
Public Member Functions inherited from gtsam::EliminatableClusterTree< BAYESTREE, GRAPH >
std::pair< boost::shared_ptr< BayesTreeType >, boost::shared_ptr< FactorGraphType > > | eliminate (const Eliminate &function) const
| Eliminate the factors to a Bayes tree and remaining factor graph.
const FastVector< sharedFactor > & | remainingFactors () const
| Return the remaining factors that are not pulled into elimination.
Public Member Functions inherited from gtsam::ClusterTree< GRAPH >
| ClusterTree ()
| Default constructor.
void | print (const std::string &s="", const KeyFormatter &keyFormatter=DefaultKeyFormatter) const
| Print the cluster tree.
void | addRoot (const boost::shared_ptr< Cluster > &cluster)
void | addChildrenAsRoots (const boost::shared_ptr< Cluster > &cluster)
size_t | nrRoots () const
const FastVector< sharedNode > & | roots () const
| Return the set of roots (one for a tree, multiple for a forest).
const Cluster & | operator[] (size_t i) const

## Public Types

typedef JunctionTree< ISAM2BayesTree, GaussianFactorGraph > | Base
typedef ISAM2JunctionTree | This
typedef boost::shared_ptr< This > | shared_ptr
Public Types inherited from gtsam::JunctionTree< ISAM2BayesTree, GaussianFactorGraph >
typedef JunctionTree< ISAM2BayesTree, GaussianFactorGraph > | This
| This class.
typedef boost::shared_ptr< This > | shared_ptr
| Shared pointer to this class.
typedef EliminatableClusterTree< ISAM2BayesTree, GaussianFactorGraph > | Base
| Our base class.
Public Types inherited from gtsam::EliminatableClusterTree< BAYESTREE, GRAPH >
typedef BAYESTREE | BayesTreeType
| The BayesTree type produced by elimination.
typedef GRAPH | FactorGraphType
| The factor graph type.
typedef EliminatableClusterTree< BAYESTREE, GRAPH > | This
| This class.
typedef boost::shared_ptr< This > | shared_ptr
| Shared pointer to this class.
typedef BAYESTREE::ConditionalType | ConditionalType
| The type of conditionals.
typedef boost::shared_ptr< ConditionalType > | sharedConditional
| Shared pointer to a conditional.
typedef GRAPH::Eliminate | Eliminate
| Typedef for an eliminate subroutine.
typedef GRAPH::FactorType | FactorType
| The type of factors.
typedef boost::shared_ptr< FactorType > | sharedFactor
| Shared pointer to a factor.
Public Types inherited from gtsam::ClusterTree< GRAPH >
typedef GRAPH | FactorGraphType
| The factor graph type.
typedef ClusterTree< GRAPH > | This
| This class.
typedef boost::shared_ptr< This > | shared_ptr
| Shared pointer to this class.
typedef GRAPH::FactorType | FactorType
| The type of factors.
typedef boost::shared_ptr< FactorType > | sharedFactor
| Shared pointer to a factor.
typedef boost::shared_ptr< Cluster > | sharedCluster
| Shared pointer to Cluster.
typedef Cluster | Node
typedef sharedCluster | sharedNode

## Additional Inherited Members

| JunctionTree (const EliminationTree< ETREE_BAYESNET, ETREE_GRAPH > &eliminationTree)
| Build the junction tree from an elimination tree.
Protected Member Functions inherited from gtsam::EliminatableClusterTree< BAYESTREE, GRAPH >
| EliminatableClusterTree (const This &other)
| Copy constructor - makes a deep copy of the tree structure, but only pointers to factors are copied, factors are not cloned.
This & | operator= (const This &other)
| Assignment operator - makes a deep copy of the tree structure, but only pointers to factors are copied, factors are not cloned.
| EliminatableClusterTree ()
| Default constructor to be used in derived classes.
| ClusterTree (const This &other)
| Copy constructor - makes a deep copy of the tree structure, but only pointers to factors are copied, factors are not cloned.
This & | operator= (const This &other)
| Assignment operator - makes a deep copy of the tree structure, but only pointers to factors are copied, factors are not cloned.
static This | FromEliminationTree (const ETREE &eliminationTree)
| Build the junction tree from an elimination tree.
Protected Attributes inherited from gtsam::EliminatableClusterTree< BAYESTREE, GRAPH >
FastVector< sharedFactor > | remainingFactors_
Protected Attributes inherited from gtsam::ClusterTree< GRAPH >
FastVector< sharedNode > | roots_
| concept check

The documentation for this class was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/nonlinear/ISAM2-impl.h